classification
Title: Upgrade bundled pip/setuptools
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Replace bundled pip and setuptools with a downloader in the ensurepip module
View: 36608
Assigned To: dstufft Nosy List: dstufft, jacobtylerwalls, ned.deily, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-11-19 12:21 by dstufft, last changed 2021-07-05 23:31 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10598 merged dstufft, 2018-11-19 12:23
PR 10599 merged miss-islington, 2018-11-19 12:46
PR 10600 merged miss-islington, 2018-11-19 12:47
PR 10601 merged miss-islington, 2018-11-19 12:47
Messages (5)
msg330096 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2018-11-19 12:21
Upgrade the bundled pip/setuptools to the latest version.

Making this issue because blurb gets mad at me if I try to add a news entry without a bpo issue.
msg330098 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-19 12:46
It would be better to not add the bundle in the git repository, but add an external dependency like for Tcl/Tk on Windows. Every new release of pip+setuptools increases the size of the git repository by around 2 MiB. This will be the fourth update in 2018. There were 9 updates in 2016.
msg330099 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2018-11-19 12:49
It doesn't bother me if you want to make that change, I don't currently have the time to do it. I just figured I'd throw the update PRs up since I can do it quickly.
msg396943 - (view) Author: Jacob Walls (jacobtylerwalls) * Date: 2021-07-04 15:18
Presumably this can be closed.
msg397029 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-07-05 23:31
Thanks for the comment. While the original intent of the issue was resolved (by updating the bundled pip), Serhiy's point about the size of the repo increasing is still an issue but there is a more recent issue, Issue36608, with a proposed change that addresses that aspect.
History
Date User Action Args
2021-07-05 23:31:23ned.deilysetstatus: open -> closed

superseder: Replace bundled pip and setuptools with a downloader in the ensurepip module

nosy: + ned.deily
messages: + msg397029
resolution: duplicate
stage: patch review -> resolved
2021-07-04 15:18:35jacobtylerwallssetnosy: + jacobtylerwalls
messages: + msg396943
2018-11-19 12:49:21dstufftsetmessages: + msg330099
2018-11-19 12:47:27miss-islingtonsetpull_requests: + pull_request9846
2018-11-19 12:47:03miss-islingtonsetpull_requests: + pull_request9845
2018-11-19 12:46:52serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg330098
2018-11-19 12:46:52miss-islingtonsetpull_requests: + pull_request9844
2018-11-19 12:23:05dstufftsetkeywords: + patch
stage: patch review
pull_requests: + pull_request9843
2018-11-19 12:21:44dstufftcreate